TDbt (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Class TDbt

- java.lang.Object
- - com.sleepycat.thrift.TDbt

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TDbt>, org.apache.thrift.TBase<TDbt,TDbt._Fields>, org.apache.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.10.0)",
                 date="2017-08-25")
      public class TDbt
      extends java.lang.Object
      implements org.apache.thrift.TBase<TDbt,TDbt._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TDbt>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TDbt._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `blob`
    `java.nio.ByteBuffer` | `data`
    `static java.util.Map<TDbt._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
    `boolean` | `partial`
    `int` | `partialLength`
    `int` | `partialOffset`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TDbt()`
    `TDbt(TDbt other)` Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.nio.ByteBuffer` | `bufferForData()`
    `void` | `clear()`
    `int` | `compareTo(TDbt other)`
    `TDbt` | `deepCopy()`
    `boolean` | `equals(java.lang.Object that)`
    `boolean` | `equals(TDbt that)`
    `TDbt._Fields` | `fieldForId(int fieldId)`
    `byte[]` | `getData()`
    `java.lang.Object` | `getFieldValue(TDbt._Fields field)`
    `int` | `getPartialLength()`
    `int` | `getPartialOffset()`
    `int` | `hashCode()`
    `boolean` | `isBlob()`
    `boolean` | `isPartial()`
    `boolean` | `isSet(TDbt._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetBlob()` Returns true if field blob is set (has been assigned a value) and false otherwise
    `boolean` | `isSetData()` Returns true if field data is set (has been assigned a value) and false otherwise
    `boolean` | `isSetPartial()` Returns true if field partial is set (has been assigned a value) and false otherwise
    `boolean` | `isSetPartialLength()` Returns true if field partialLength is set (has been assigned a value) and false otherwise
    `boolean` | `isSetPartialOffset()` Returns true if field partialOffset is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `TDbt` | `setBlob(boolean blob)`
    `void` | `setBlobIsSet(boolean value)`
    `TDbt` | `setData(byte[] data)`
    `TDbt` | `setData(java.nio.ByteBuffer data)`
    `void` | `setDataIsSet(boolean value)`
    `void` | `setFieldValue(TDbt._Fields field, java.lang.Object value)`
    `TDbt` | `setPartial(boolean partial)`
    `void` | `setPartialIsSet(boolean value)`
    `TDbt` | `setPartialLength(int partialLength)`
    `void` | `setPartialLengthIsSet(boolean value)`
    `TDbt` | `setPartialOffset(int partialOffset)`
    `void` | `setPartialOffsetIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetBlob()`
    `void` | `unsetData()`
    `void` | `unsetPartial()`
    `void` | `unsetPartialLength()`
    `void` | `unsetPartialOffset()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### data

          public java.nio.ByteBuffer data

    - #### partialLength

          public int partialLength

    - #### partialOffset

          public int partialOffset

    - #### partial

          public boolean partial

    - #### blob

          public boolean blob

    - #### metaDataMap

          public static final java.util.Map<TDbt._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### TDbt

          public TDbt()

    - #### TDbt

          public TDbt(TDbt other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public TDbt deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<TDbt,TDbt._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<TDbt,TDbt._Fields>`

    - #### getData

          public byte[] getData()

    - #### bufferForData

          public java.nio.ByteBuffer bufferForData()

    - #### setData

          public TDbt setData(byte[] data)

    - #### setData

          public TDbt setData(java.nio.ByteBuffer data)

    - #### unsetData

          public void unsetData()

    - #### isSetData

          public boolean isSetData()

      Returns true if field data is set (has been assigned a value) and false otherwise

    - #### setDataIsSet

          public void setDataIsSet(boolean value)

    - #### getPartialLength

          public int getPartialLength()

    - #### setPartialLength

          public TDbt setPartialLength(int partialLength)

    - #### unsetPartialLength

          public void unsetPartialLength()

    - #### isSetPartialLength

          public boolean isSetPartialLength()

      Returns true if field partialLength is set (has been assigned a value) and false otherwise

    - #### setPartialLengthIsSet

          public void setPartialLengthIsSet(boolean value)

    - #### getPartialOffset

          public int getPartialOffset()

    - #### setPartialOffset

          public TDbt setPartialOffset(int partialOffset)

    - #### unsetPartialOffset

          public void unsetPartialOffset()

    - #### isSetPartialOffset

          public boolean isSetPartialOffset()

      Returns true if field partialOffset is set (has been assigned a value) and false otherwise

    - #### setPartialOffsetIsSet

          public void setPartialOffsetIsSet(boolean value)

    - #### isPartial

          public boolean isPartial()

    - #### setPartial

          public TDbt setPartial(boolean partial)

    - #### unsetPartial

          public void unsetPartial()

    - #### isSetPartial

          public boolean isSetPartial()

      Returns true if field partial is set (has been assigned a value) and false otherwise

    - #### setPartialIsSet

          public void setPartialIsSet(boolean value)

    - #### isBlob

          public boolean isBlob()

    - #### setBlob

          public TDbt setBlob(boolean blob)

    - #### unsetBlob

          public void unsetBlob()

    - #### isSetBlob

          public boolean isSetBlob()

      Returns true if field blob is set (has been assigned a value) and false otherwise

    - #### setBlobIsSet

          public void setBlobIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(TDbt._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<TDbt,TDbt._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(TDbt._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<TDbt,TDbt._Fields>`

    - #### isSet

          public boolean isSet(TDbt._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<TDbt,TDbt._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(TDbt that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(TDbt other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<TDbt>`

    - #### fieldForId

          public TDbt._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<TDbt,TDbt._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.